Package twisted :: Package conch :: Module authorizer :: Class OpenSSHConchAuthorizer

[show private | hide private]
[frames | no frames]

## Class OpenSSHConchAuthorizer

    OriginalAccessor --+
                       |
              Authorizer --+
                           |
           DefaultAuthorizer --+
                               |
                              OpenSSHConchAuthorizer

Method Summary
| ``__init__`(self, serviceCollection)` Create a hash of identities. (inherited from `DefaultAuthorizer`)
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| ``addIdentity`(self, identity)` Add an identity to me. (inherited from `DefaultAuthorizer`)
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer. (inherited from `Authorizer`)
| `get_application(self)` (inherited from `Authorizer`)
`Deferred` | ``getIdentityRequest`(self, name)` Return a Deferred that will callback with an Identity for the given name.
| `getServiceNamed(self, name)` (inherited from `Authorizer`)
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `removeIdentity(self, identityName)` (inherited from `DefaultAuthorizer`)
| ``setApplication`(self, app)` Set the application for this authorizer. (inherited from `Authorizer`)
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer. (inherited from `Authorizer`)

Class Variable Summary
`class` | `OpenSSHConchIdentity`

Method Details

### getIdentityRequest(self, name)

Return a Deferred that will callback with an Identity for the given name. For the purposes of Conch, this should always callback with an Identity to prevent attackers from learning what users are valid and which aren't.

  Parameters:
    `name`
    (type=`str`)
  Returns:
    `Deferred`

Class Variable Details

### OpenSSHConchIdentity

`OpenSSHConchIdentity` = `twisted.conch.identity.OpenSSHConchIdentity`

Generated by Epydoc 1.1 on Sat Feb 15 21:18:55 2003 | http://epydoc.sf.net